# Google Container Engine API . projects . zones

## Instance Methods

Returns the clusters Resource.

Returns the operations Resource.

Returns configuration info about the Container Engine service.

### Method Details

`getServerconfig(projectId, zone, x__xgafv=None)`

    Returns configuration info about the Container Engine service.

    Args:
      projectId: string, The Google Developers Console [project ID or project number](https://support.google.com/cloud/answer/6158840). (required)
      zone: string, The name of the Google Compute Engine [zone](/compute/docs/zones#available) to return operations for. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Container Engine service configuration.
        "defaultClusterVersion": "A String", # Version of Kubernetes the service deploys by default.
        "validNodeVersions": [ # List of valid node upgrade target versions.
          "A String",
        ],
        "defaultImageFamily": "A String", # Default image family.
        "validImageFamilies": [ # List of valid image families.
          "A String",
        ],
      }